//-----------------------------------------------------------------------------
// Spiral GUI
//  
//
//-----------------------------------------------------------------------------
funcprot(0)
clear

BASE_PATH = get_absolute_file_path("spiral_gui.sce")
exec(BASE_PATH+"spiralgraph.sce",-1)

// update functions for GUI
function update_gui(slideval)
    
    drawlater()
    plot_axes=newaxes();
    plot_axes.axes_bounds=[0 -.05 1 .75];
    plots_axes.box="on";   
    
    [x,y] = spiralgraph(slideval(1),slideval(2),slideval(3),1000)
    plot(x,y)
    plot_axes.axes_visible="off";
    drawnow()
    
endfunction



//-----------------------------------------------------------------------------
//  This is the base path for all your GUI parts
BASE_PATH = get_absolute_file_path('spiral_gui.sce')

//-----------------------------------------------------------------------------
bg_color = [0.9 0.4 0.4]

// Defining the figure and its characteristics
f = figure("figure_name", gettext("Spiral Graph GUI"),..
           'position', [20 20 300 300],..
           'backgroundcolor', bg_color,..
           'tag','spiral_gui_tag');

//-----------------------------------------------------------------------------
// delete all standard menu items so the GUI is cleaner
delmenu(f.figure_id, gettext("&File"));
delmenu(f.figure_id, gettext("&Tools"));
delmenu(f.figure_id, gettext("&Edit"));
delmenu(f.figure_id, gettext("&?"));
toolbar(f.figure_id, "off");
sleep(500)

//------------------------------------------------------
TB1 = uicontrol(f, "style", "text",...
                     "position", [35 115 30 20] , ..
                     "backgroundcolor", bg_color,..
                     "string","10",..
                     "horizontalalignment","center",..
                     "tag","TB1_tag");
                               
SD1 = uicontrol(f, "style", "slider",...
                     "position", [40 10 20 100] , ..
                     "backgroundcolor", [1 1 1],..
                     "min",0,"max",10,..
                     "sliderstep",[1 1],..
                     "callback","set(TB1,""string"",string(10-SD1.value))",..
                     "tag","SD1_tag");

TB2 = uicontrol(f, "style", "text",...
                     "position", [65 115 30 20] , ..
                     "string","10",..
                     "horizontalalignment","center",..
                     "backgroundcolor", bg_color,..
                     "tag","TB2_tag");
                                     
SD2 = uicontrol(f, "style", "slider",...
                     "position", [70 10 20 100] , ..
                     "backgroundcolor", [1 1 1],..
                     "min",0,"max",10,..
                     "sliderstep",[1 1],..
                     "callback","set(TB2,""string"",string(10-SD2.value))",..
                     "tag","SD2_tag");
                     
TB3 = uicontrol(f, "style", "text",...
                     "position", [95 115 30 20] , ..
                     "string","10",..
                     "horizontalalignment","center",..
                     "backgroundcolor", bg_color,..
                     "tag","TB3_tag");
//                     
SD3 = uicontrol(f, "style", "slider",...
                     "position", [100 10 20 100] , ..
                     "backgroundcolor", [1 1 1],..
                     "min",0,"max",10,..
                     "sliderstep",[1 1],..
                     "callback","set(TB3,""string"",string(10-SD3.value))",..
                     "tag","SD3_tag");
                     

PB1 = uicontrol(f, "style", "pushbutton",...
                     "position", [130 50 100 30] ,..
                     "string","Plot Graph",..
                     "backgroundcolor", [1 1 1],..
                     "callback","update_gui([10-SD1.value, 10-SD2.value, 10-SD3.value])",..
                     "tag","PB1_tag");


// create  Plot axes
plot_axes=newaxes();
plot_axes.axes_visible="off";
plot_axes.axes_bounds=[0 -.05 1 .75];
plots_axes.box="on";   

  