function [x,y] = spiralgraph(R,r,d,N)
//-----------------------------------
// Function: spiralgraph
//
// Inputs:  R - radius of outer circle
//          r - radius of inner circle
//          d - radius of drawing arm
//          All inputs are integers
//
// Outputs: x, y - coordinates of graph
//-----------------------------------

R = round(R)
r = round(r)
d = round(d)

Sr = 2*r*%pi;
theta = linspace(0,2*r*%pi,N)

SR = R*theta;
phi = -modulo(SR, Sr)/Sr*2*%pi;
x = (R-r)*cos(theta) + d*cos(phi);
y = (R-r)*sin(theta) + d*sin(phi);



endfunction